summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJonas Stein <jstein@gentoo.org>2018-04-07 17:43:20 +0200
committerJonas Stein <jstein@gentoo.org>2018-04-07 17:43:34 +0200
commit01e80846784f5d8bdbf20c19eca6c06cf7d144c9 (patch)
tree97a7b99af08a5fc490abbbc454b445260abcd414
parentapp-text/poppler: Cleanup vulnerable (diff)
downloadgentoo-01e80846784f5d8bdbf20c19eca6c06cf7d144c9.tar.gz
gentoo-01e80846784f5d8bdbf20c19eca6c06cf7d144c9.tar.bz2
gentoo-01e80846784f5d8bdbf20c19eca6c06cf7d144c9.zip
app-office/texstudio: Bump to 2.12.8
Thanks to charIes17, who made a PR at the same time. Closes: https://bugs.gentoo.org/652642 Package-Manager: Portage-2.3.28, Repoman-2.3.9
-rw-r--r--app-office/texstudio/Manifest1
-rw-r--r--app-office/texstudio/texstudio-2.12.8.ebuild89
2 files changed, 90 insertions, 0 deletions
diff --git a/app-office/texstudio/Manifest b/app-office/texstudio/Manifest
index 7bc0fdefeab..9b59224be56 100644
--- a/app-office/texstudio/Manifest
+++ b/app-office/texstudio/Manifest
@@ -2,3 +2,4 @@ DIST texstudio-2.11.2.tar.gz 24143941 BLAKE2B 2c17b70cd497338ee9c7cd7fda0bdcb877
DIST texstudio-2.12.2.tar.gz 26311798 BLAKE2B 1eb3add771a28918f39c69bb167eee31456ab87afcff0f4ae66ccd73d96fdfba5cbfbc57666908f7e7ffb5c69fd2d5aebf342338b9e3a56d3c31fb774f9cd1a7 SHA512 255b211fe715ffc91706ab20877ffaa4b8e0710d3e6f381e7a6b8eed19bb889d89d0913756839c1f0c427029c0da9713b78bd1e21769ccc46cf976b65c91c6f6
DIST texstudio-2.12.4.tar.gz 26401510 BLAKE2B 53f1aca4f28154c5ae0f941e074e2da6d727dedf6b5604b301efccd95eea256a6cb91bf887985d81c65964c0e407cd1a8c2037a3bd73559aa115bec3954df744 SHA512 6e1d114ae87c854231399004504e460d078b9bf26ceb25c7fc592b79d3234f9880f8c021c3ddb2ef26a883dbddc2b94f98f368c976aa16973d3c1a6823a4150d
DIST texstudio-2.12.6.tar.gz 26511069 BLAKE2B 95f2043222e15f96ed56dabb9bbbb937e3f8f1869cb667897bbdb48b99626089bf14a5e321c57ca5c9196d1cf2ce0beaad322b04d90f8a0b62189ff7c5be0d33 SHA512 16e846137b529f89f10dba3f847afe5a875ce1bc4029d002f76a1bcde491dd44756b27e38b4c5c159fcdb12b025759c8a0ebbbb8d8bd296e954b53032434170a
+DIST texstudio-2.12.8.tar.gz 26555418 BLAKE2B 172c36aed91d273629109412e43f947c00e7d37d392098cc012826391c88f461659764b6b8c4fcff3d84e6ba7b10a4adddcc4298267e0fa0448a61f4c9b9da15 SHA512 0076617f6421fa959c8c327bc81d4d27779358481b377d83856fe26b963d7c3c1e04d3b11e8f7eeb99cab9c089c8e7afcbb9c93a5aaccd00cf493792b802bfcb
diff --git a/app-office/texstudio/texstudio-2.12.8.ebuild b/app-office/texstudio/texstudio-2.12.8.ebuild
new file mode 100644
index 00000000000..7d52ce3ecf4
--- /dev/null
+++ b/app-office/texstudio/texstudio-2.12.8.ebuild
@@ -0,0 +1,89 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit gnome2-utils prefix qmake-utils xdg-utils
+
+DESCRIPTION="Free cross-platform LaTeX editor (fork from texmakerX)"
+HOMEPAGE="http://www.texstudio.org/ https://github.com/texstudio-org/texstudio"
+SRC_URI="https://github.com/texstudio-org/texstudio/archive/2.12.8.tar.gz -> ${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~ppc64 ~x86 ~x86-fbsd"
+IUSE="video"
+
+COMMON_DEPEND="
+ app-text/hunspell:=
+ app-text/poppler[qt5]
+ >=dev-libs/quazip-0.7.2[qt5(+)]
+ dev-qt/designer:5
+ dev-qt/qtcore:5
+ dev-qt/qtconcurrent:5
+ dev-qt/qtgui:5
+ dev-qt/qtnetwork:5
+ dev-qt/qtprintsupport:5
+ dev-qt/qtscript:5
+ dev-qt/qtsingleapplication[qt5,X]
+ dev-qt/qtsvg:5
+ dev-qt/qttest:5
+ dev-qt/qtwidgets:5
+ dev-qt/qtxml:5
+ sys-libs/zlib
+ x11-libs/libX11
+ x11-libs/libXext
+ video? ( media-libs/phonon[qt5(+)] )"
+RDEPEND="${COMMON_DEPEND}
+ app-text/ghostscript-gpl
+ app-text/psutils
+ media-libs/netpbm
+ virtual/latex-base"
+DEPEND="${COMMON_DEPEND}
+ virtual/pkgconfig"
+
+src_prepare() {
+ default
+ # TODO: find hunspell quazip utilities/poppler-data qtsingleapplication -delete || die
+
+ if use video; then
+ sed "/^PHONON/s:$:true:g" -i ${PN}.pro || die
+ fi
+
+ sed \
+ -e '/qtsingleapplication.pri/d' \
+ -i ${PN}.pro || die
+
+ cp "${FILESDIR}"/texmakerx_my.pri ${PN}.pri || die
+ eprefixify ${PN}.pri
+
+ # fix build with quazip-0.7.2 - bug 597930
+ sed -i ${PN}.pro -e "s|include/quazip|&5|" || die
+ sed -i ${PN}.pri -i ${PN}.pro -e "s/-lquazip/&5/" || die
+}
+
+src_configure() {
+ eqmake5 USE_SYSTEM_HUNSPELL=1 USE_SYSTEM_QUAZIP=1
+}
+
+src_install() {
+ local i
+ for i in 16x16 22x22 32x32 48x48 64x64 128x128; do
+ newicon -s ${i} utilities/${PN}${i}.png ${PN}.png
+ done
+ emake DESTDIR="${D}" INSTALL_ROOT="${ED}" install
+}
+
+pkg_preinst() {
+ gnome2_icon_savelist
+}
+
+pkg_postinst() {
+ gnome2_icon_cache_update
+ xdg_desktop_database_update
+}
+
+pkg_postrm() {
+ gnome2_icon_cache_update
+ xdg_desktop_database_update
+}